<?php

if (!defined('_CAN_LOAD_FILES_'))
	exit;
class FK extends PaymentModule {

    public function __construct() {
        $this->name = 'fk';
        $this->tab = 'payments_gateways';
		$this->version = '0.1';
		
		$this->currencies = false;

		parent::__construct();

		$this->displayName = $this->l('Оплата free-kassa.ru');
		$this->description = $this->l('Оплата через free-kassa.ru');
	}

	public function install()
	{
		if (!parent::install() OR !$this->registerHook('payment') OR !$this->registerHook('paymentReturn') OR !$this->registerHook('updateOrderStatus'))
			return false;
		return true;
	}

	public function hookPayment($params)
	{
		if (!$this->active)
			return ;
		global $smarty;

		$smarty->assign(array(
			'this_path' => $this->_path,
			'this_path_ssl' => Tools::getHttpHost(true, true).__PS_BASE_URI__.'modules/'.$this->name.'/'
		));
		if ($params['cart']->getOrderTotal(true, 3)>15000)
			return $this->display(__FILE__, 'payment-none.tpl');
		return $this->display(__FILE__, 'payment.tpl');
	}
	
	public function hookPaymentReturn($params)
	{
		global $smarty;
		if (!$this->active)
			return ;
    		$smarty->assign(array(
			'total_to_pay'=>$params['total_to_pay'],
			'fk_merchant_id'=>Configuration::get('fk_merchant_id'),
			'order_id'=>$params['objOrder']->id
		));
		return $this->display(__FILE__, 'confirmation.tpl');
	}

	private function _displayForm()
	{

		$this->_html .='
<fieldset style="width: 300px;float:right;margin-left:15px;">
	<legend><img src="../img/admin/manufacturers.gif" /> ' . $this->l('Информация') . '</legend>
	<div id="dev_div">
		<span><b>' . $this->l('Версия') . ':</b> ' . $this->version . '</span><br>
		<span><b>' . $this->l('Разработчик') . ':</b> <a class="link" href="mailto:support@free-kassa.ru" target="_blank">free-kassa.ru</a><br>
                <span><b>' . $this->l('Описание') . ':</b> <a class="link" href="http://www.free-kassa.ru" target="_blank">free-kassa.ru</a><br>
		
	</div>
</fieldset>
		<form method="post" action="'.$_SERVER['REQUEST_URI'].'">
			<fieldset >
				<legend><img src="'.__PS_BASE_URI__.'modules/fk/logo.gif" alt="" />'.$this->l('Настройки').'</legend>
				<label>'.$this->l('MerchantID:').'</label>
				<div class="margin-form">
					<input type="text" name="fk_merchant_id" value="'.Configuration::get('fk_merchant_id').'" style="width: 300px;"  />
				</div>
				<div style="clear: both;"></div>
				<label>'.$this->l('Ваш пароль:').'</label>
				<div class="margin-form">
					<input type="text" name="fk_pass" value="'.Configuration::get('fk_pass').'" style="width: 300px;" />
				</div>
				<div style="clear: both;"></div>
				<label>'.$this->l('Ваш пароль 2:').'</label>
				<div class="margin-form">
					<input type="text" name="fk_pass2" value="'.Configuration::get('fk_pass2').'" style="width: 300px;" />
				</div>
				<div style="clear: both;"></div>

				<center><input type="submit" class="button" name="btnSubmit" value="'.$this->l('Обновить').'" style="margin-top: 25px;" /></center>
			</fieldset>
		</form>';
	}

	private function _postProcess()
	{
		if (isset($_POST['btnSubmit']))
		{
			if ($fk_merchant_id=Tools::GetValue('fk_merchant_id'))
				Configuration::updateValue('fk_merchant_id', $fk_merchant_id);
			if ($fk_pass=Tools::GetValue('fk_pass'))
				Configuration::updateValue('fk_pass', $fk_pass);
			if ($fk_pass2=Tools::GetValue('fk_pass2'))
				Configuration::updateValue('fk_pass2', $fk_pass2);
		}
		$this->_html .= '<div class="conf confirm"><img src="../img/admin/ok.gif" alt="'.$this->l('ok').'" /> '.$this->l('Настройки обновлены').'</div>';
	}

	public function getContent()
	{
		$this->_html = '<h2>'.$this->displayName.'</h2>';

		if (!empty($_POST))
		{
			$this->_postProcess();

		}
		else
			$this->_html .= '<br />';

		$this->_displayForm();

		return $this->_html;
	}

	public function hookUpdateOrderStatus($params)
	{
	    return true;
    }
}
